Index: trunk/admin/admin.php
===================================================================
--- trunk/admin/admin.php	(revision 138)
+++ trunk/admin/admin.php	(revision 139)
@@ -511,4 +511,7 @@
     include("modules/Elezioni/ele_widget.php");
     break;
+case "riepilogo":
+    include("modules/Elezioni/ele_riepilogo.php");
+    break;
    
 
Index: trunk/admin/modules/Elezioni/controllo_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/controllo_voti.php	(revision 138)
+++ trunk/admin/modules/Elezioni/controllo_voti.php	(revision 139)
@@ -72,8 +72,8 @@
 	if ($genere>0) {  //se non e' un referendum
 		if (!($genere==4) and $pag==0){  //se non e' una lista uninominale ed e' la prima pagina
-			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0',t2.voti_nulli,t2.validi_lista,t2.voti_nulli_lista,t2.contestati_lista,t2.solo_gruppo FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez";
+			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0',t2.voti_nulli,t2.validi_lista,t2.voti_nulli_lista,t2.contestati_lista,t2.solo_gruppo,t2.solo_lista FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez";
 
 		}else{ // e' una lista uninominale o la seconda pagina
-			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0',t1.voti_nulli,t1.validi_lista,t1.voti_nulli_lista,t1.contestati_lista,t1.solo_gruppo
+			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0',t1.voti_nulli,t1.validi_lista,t1.voti_nulli_lista,t1.contestati_lista,t1.solo_gruppo,t1.solo_lista
 			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
 			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
@@ -82,5 +82,5 @@
 		$riga1="<tr><td>\n<table border=\"0\" width=\"100%\" bgcolor=\"$bgcolor1\" ><tr><td align=\"center\">"._SEZSCR." "._CONSULTAZIONE."</td></tr></table></td></tr>\n";
 	}else{ // e' un referendum
-		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo,'0','0','0','0','0'
+		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo,'0','0','0','0','0','0'
 		FROM ".$prefix."_ele_voti_ref as t1 left join ".$prefix."_ele_sezioni as t2 on (t1.id_sez=t2.id_sez)
 		left join  ".$prefix."_ele_gruppo as t3 on (t1.id_gruppo=t3.id_gruppo) left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede)
@@ -111,6 +111,6 @@
 	$scrutinate=1;
 //	if ($genere>1 and $pag==1) $ops=3;
-	$tot_u=0;$tot_d=0;$tot_voti=0; $tot_si=0;$tot_no=0;$tot_validi=0;$tot_nulli=0;$tot_bianchi=0;$tot_contestati=0;$tgrup_pref=0;$tot_voti_nulli=0;$tot_val_lista=0;$tot_vot_nul_lis=0;$tot_cont_lis=0;$tot_solog=0;$errors=0;
-	while (list($id_gruppo,$id,$num,$si,$no,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo,$voti_nulli,$val_lista,$vot_nul_lis,$cont_lis,$solog) = mysql_fetch_row($res)){
+	$tot_u=0;$tot_d=0;$tot_voti=0; $tot_si=0;$tot_no=0;$tot_validi=0;$tot_nulli=0;$tot_bianchi=0;$tot_contestati=0;$tgrup_pref=0;$tot_voti_nulli=0;$tot_val_lista=0;$tot_vot_nul_lis=0;$tot_cont_lis=0;$tot_solog=0;$tot_solol=0;$errors=0;
+	while (list($id_gruppo,$id,$num,$si,$no,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo,$voti_nulli,$val_lista,$vot_nul_lis,$cont_lis,$solog,$solol) = mysql_fetch_row($res)){
 	// inserimento numeri di sez non scrutinate
 		while ($scrutinate < $num) { 
@@ -145,4 +145,5 @@
 		$tot_cont_lis+=$cont_lis;
 		$tot_solog+=$solog;
+		$tot_solol+=$solol;
 		$righe .= "<tr bgcolor=\"$bgcolor2\" align=\"center\"><td>$num</td><td>".number_format($votiu,0,',','.')."</td><td>".number_format($votid,0,',','.')."</td><td>".number_format($voti,0,',','.')."</td>";
 		if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righe .= "<td>".number_format($si,0,',','.')."</td>";}
@@ -156,8 +157,8 @@
 			}
 		}
-		$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli; #prova
+		$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli+$solol; #prova
 		$controllo2=$si+$no;
 		if($genere==5) #$validi+$nulli+$bianchi+$vcont+$vn 
-			if($pag==0 and !$votog or $fascia<=$limite) {$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli;} else { $controllo1=$val_lista+$nulli+$bianchi+$cont_lis+$vot_nul_lis+$solog;$controllo2=$si+$no-$voti_nulli-$contestati+$cont_lis+$vot_nul_lis;}
+			if($pag==0 and !$votog or $fascia<=$limite) {$controllo1=$validi+$nulli+$bianchi+$contestati+$voti_nulli+$solol;} else { $controllo1=$val_lista+$nulli+$bianchi+$contestati+$voti_nulli+$cont_lis+$vot_nul_lis+$solog;$controllo2=$si+$no-$solol+$cont_lis+$vot_nul_lis;}
 		if ($voti==$controllo1 and $validi==$controllo2 and !$g_err){
 			$righe .= "<td>"._OK."</td></tr>\n";
Index: trunk/admin/modules/Elezioni/ele.php
===================================================================
--- trunk/admin/modules/Elezioni/ele.php	(revision 138)
+++ trunk/admin/modules/Elezioni/ele.php	(revision 139)
@@ -273,4 +273,5 @@
 			echo "<img src=\"modules/Elezioni/images/site.gif\" alt =\" \" align=\"middle\" border=\"0\"> "._STATO." "._VOTI."<br>";
 		}
+		echo "<a href=\"admin.php?op=riepilogo&amp;id_cons_gen=$id_cons_gen\">$bullet "._RIEPILOGO."</a><br>";
 	}
 
Index: trunk/admin/modules/Elezioni/ele_confcons.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_confcons.php	(revision 138)
+++ trunk/admin/modules/Elezioni/ele_confcons.php	(revision 139)
@@ -48,4 +48,6 @@
 if (isset($param['supminpremio'])) get_magic_quotes_gpc() ? $supminpremio=$param['supminpremio']:$supminpremio=addslashes($param['supminpremio']); else $supminpremio='';
 if (isset($param['listsupconta'])) get_magic_quotes_gpc() ? $listsupconta=$param['listsupconta']:$listsupconta=addslashes($param['listsupconta']); else $listsupconta='';
+if (isset($param['infdisgiunto'])) get_magic_quotes_gpc() ? $infdisgiunto=$param['infdisgiunto']:$infdisgiunto=addslashes($param['infdisgiunto']); else $infdisgiunto='';
+if (isset($param['supdisgiunto'])) get_magic_quotes_gpc() ? $supdisgiunto=$param['supdisgiunto']:$supdisgiunto=addslashes($param['supdisgiunto']); else $supdisgiunto='';
 if (isset($param['help'])) $help=intval($param['help']);
 
@@ -75,5 +77,5 @@
 	echo "<input type=\"hidden\" name=\"do\" value=\"update\">";
 	}else{
-	$gru['id_conf']=$nuovo_gruppo;$gru['descrizione']='';$gru['limite']='';$gru['consin']='';$gru['infpremio']='';$gru['listinfsbar']='';$gru['listinfconta']='';$gru['supminpremio']='';$gru['infminpremio']='';$gru['suppremio']='';$gru['supsbarramento']='';$gru['listsupconta']='';
+	$gru['id_conf']=$nuovo_gruppo;$gru['descrizione']='';$gru['limite']='';$gru['consin']='';$gru['infpremio']='';$gru['listinfsbar']='';$gru['listinfconta']='';$gru['supminpremio']='';$gru['infminpremio']='';$gru['suppremio']='';$gru['supsbarramento']='';$gru['listsupconta']='';$gru['infdisgiunto']='';$gru['supdisgiunto']='';
 	echo "<input type=\"hidden\" name=\"do\" value=\"add\">";
 	}
@@ -91,5 +93,7 @@
 	$sel= ($gru['consin']==1) ? "selected":"";
 	echo "<td align=\"center\"><b>"._CONSIN."</b></td><td><select name=\"consin\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
-	."<tr><td align=\"center\" colspan=\"4\" bgcolor=\"$bgcolor2\"><b>"._SISTEMA_MAGGIORITARIO."</b></td></tr>"
+	."<tr><td align=\"center\" colspan=\"4\" bgcolor=\"$bgcolor2\"><b>"._SISTEMA_MAGGIORITARIO."</b></td></tr>";
+	$sel= ($gru['infdisgiunto']==1) ? "selected":"";
+	echo "<tr><td align=\"center\"><b>"._DISGIUNTO."</b></td><td><select name=\"infdisgiunto\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
 	."<tr><td align=\"center\"><b>"._INFPREMIO."</b></td><td><input type=\"text\" name=\"infpremio\" value=\"".$gru['infpremio']."\"></td>"
 	."<td align=\"center\"><b>"._LISTINFSBAR."</b></td><td><input type=\"text\" name=\"listinfsbar\" value=\"".$gru['listinfsbar']."\"></td></tr>"
@@ -97,5 +101,7 @@
 	$sel= ($gru['listinfconta']==1) ? "selected":"";
 	echo"<td align=\"center\"><b>"._LISTINFCONTA."</b></td><td><select name=\"listinfconta\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
-	."<tr><td align=\"center\" colspan=\"4\" bgcolor=\"$bgcolor2\"><b>"._SISTEMA_PROPORZIONALE."</b></td></tr>"
+	."<tr><td align=\"center\" colspan=\"4\" bgcolor=\"$bgcolor2\"><b>"._SISTEMA_PROPORZIONALE."</b></td></tr>";
+	$sel= ($gru['supdisgiunto']==1) ? "selected":"";
+	echo "<tr><td align=\"center\"><b>"._DISGIUNTO."</b></td><td><select name=\"supdisgiunto\"><option value=\"0\">No<option value=\"1\" $sel>Si</select></td></tr>"
 	."<tr><td align=\"center\"><b>"._SUPPREMIO."</b></td><td><input type=\"text\" name=\"suppremio\" value=\"".$gru['suppremio']."\"></td>"
 	."<td align=\"center\"><b>"._SUPSBAR."</b></td><td><input type=\"text\" name=\"supsbarramento\" value=\"".$gru['supsbarramento']."\"></td></tr>"
@@ -117,5 +123,5 @@
 	$max = mysql_num_rows($res);
 	$result = mysql_query("select * from ".$prefix."_ele_conf ORDER BY id_conf  LIMIT $min,$offset", $dbi);
-	while(list($id_conf,$descrizione,$limite, $consin,$infpremio, $supsbarramento, $suppremio, $listinfsbar, $listinfconta, $listsupconta) = mysql_fetch_row($result)) {
+	while(list($id_conf,$descrizione,$limite, $consin,$infpremio, $supsbarramento, $suppremio, $listinfsbar, $listinfconta, $listsupconta, $infdisgiunto, $supdisgiunto) = mysql_fetch_row($result)) {
 		$bgcolor1=($bgcolor1==$_SESSION['bgcolor1'])?$_SESSION['bgcolor2']:$_SESSION['bgcolor1'];
 		echo "<tr bgcolor=\"$bgcolor1\"><td align=\"center\"><b>$id_conf</b></td>"
@@ -167,5 +173,5 @@
 
 function confcons($ok, $do) {
-	global $prefix, $dbi, $id_cons,$simbolo2,$genere,$id_cons_gen,$id_comune,$min,$id_conf,$descrizione, $limite,$consin,$infpremio,$listinfsbar,$infminpremio,$listinfconta,$supsbarramento,$suppremio,$supminpremio,$listsupconta;
+	global $prefix, $dbi, $id_cons,$simbolo2,$genere,$id_cons_gen,$id_comune,$min,$id_conf,$descrizione, $limite,$consin,$infpremio,$listinfsbar,$infminpremio,$listinfconta,$supsbarramento,$suppremio,$supminpremio,$listsupconta,$infdisgiunto,$supdisgiunto;
 	$aid=$_SESSION['aid'];
 	$perms=ChiSei($id_cons_gen);
@@ -184,5 +190,5 @@
       			if ($descrizione) {
 				$sqlset='';
-      				$result = mysql_query("insert into ".$prefix."_ele_conf(id_conf,descrizione, limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,infminpremio,supminpremio) values ('$id_conf','$descrizione','$limite','$consin','$infpremio','$supsbarramento','$suppremio','$listinfsbar','$listinfconta','$listsupconta','$infminpremio','$supminpremio')", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+      				$result = mysql_query("insert into ".$prefix."_ele_conf(id_conf,descrizione, limite,consin,infpremio,supsbarramento,suppremio,listinfsbar,listinfconta,listsupconta,infminpremio,supminpremio,infdisgiunto,supdisgiunto) values ('$id_conf','$descrizione','$limite','$consin','$infpremio','$supsbarramento','$suppremio','$listinfsbar','$listinfconta','$listsupconta','$infminpremio','$supminpremio','$infdisgiunto','$supdisgiunto')", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
            			if (!$result) return;
            			Header("Location: admin.php?op=confconsiglio&id_cons_gen=$id_cons_gen&min=$min");
@@ -195,5 +201,5 @@
      			}
    		} elseif ($do == "update") {
-			$result = mysql_query("update  ".$prefix."_ele_conf set descrizione='$descrizione', limite='$limite', consin='$consin', infpremio='$infpremio', supsbarramento='$supsbarramento', suppremio='$suppremio', listinfsbar='$listinfsbar', listinfconta='$listinfconta', listsupconta='$listsupconta', infminpremio='$infminpremio', supminpremio='$supminpremio' where id_conf='$id_conf' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
+			$result = mysql_query("update  ".$prefix."_ele_conf set descrizione='$descrizione', limite='$limite', consin='$consin', infpremio='$infpremio', supsbarramento='$supsbarramento', suppremio='$suppremio', listinfsbar='$listinfsbar', listinfconta='$listinfconta', listsupconta='$listsupconta', infminpremio='$infminpremio', supminpremio='$supminpremio',infdisgiunto='$infdisgiunto',supdisgiunto='$supdisgiunto' where id_conf='$id_conf' ", $dbi) || die("Errore di aggiornamento dei dati!".mysql_error());
 			Header("Location: admin.php?op=confconsiglio&id_cons_gen=$id_cons_gen&min=$min");
    		}
Index: trunk/admin/modules/Elezioni/ele_riepilogo.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 139)
+++ trunk/admin/modules/Elezioni/ele_riepilogo.php	(revision 139)
@@ -0,0 +1,78 @@
+<?php
+
+/************************************************************************/
+/* Eleonline - Raccolta e diffusione dei dati elettorali                */
+/* by Roberto Gigli & Luciano Apolito                                   */
+/* http://www.eleonline.it                                              */
+/* info@eleonline.it  luciano@aniene.net rgigli@libero.it               */
+/************************************************************************/
+/* Modulo Controllo dei voti                                            */
+/* Amministrazione                                                      */
+/************************************************************************/
+
+if (!defined('ADMIN_FILE')) {
+    die ("You can't access this file directly...");
+}
+
+$aid=$_SESSION['aid'];
+$dbi=$_SESSION['dbi'];
+$prefix=$_SESSION['prefix'];
+$currentlang=$_SESSION['lang'];
+$id_comune=$_SESSION['id_comune'];
+$id_cons_gen=$_GET['id_cons_gen'];
+$bgcolor1=$_SESSION['bgcolor1'];
+$bgcolor2=$_SESSION['bgcolor2'];
+
+$perms=ChiSei($id_cons_gen);
+if ($perms<16 or !$id_cons_gen) die("$perms Non hai i permessi per inserire dati, o non hai scelto la consultazione!");
+$res = mysql_query("SELECT t1.tipo_cons,t2.id_cons FROM ".$prefix."_ele_consultazione as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_cons_gen=t2.id_cons_gen and t2.id_cons_gen='$id_cons_gen' and t2.id_comune='$id_comune'" , $dbi);
+list($tipo_cons,$id_cons) = mysql_fetch_row($res);
+$res = mysql_query("SELECT genere,voto_g,voto_l FROM ".$prefix."_ele_tipo where tipo_cons='$tipo_cons' " , $dbi);
+	list($genere,$votog,$votol) = mysql_fetch_row($res);
+
+include("modules/Elezioni/funzionidata.php");
+include("modules/Elezioni/ele.php");
+if (! get_magic_quotes_gpc()) $magic='addslashes'; else $magic='';
+if (isset($param['ops'])) get_magic_quotes_gpc() ? $ops=$param['ops']:$ops=addslashes($param['ops']); else $ops='';
+if (isset($param['pag'])) $pag=intval($param['pag']); else $pag=0;
+if (isset($param['num_ref'])) $num_ref=intval($param['num_ref']);
+if (isset($param['num_refs'])) $num_refs=intval($param['num_refs']);
+ele();
+//**************************************************************************
+//        ELE
+//**************************************************************************
+ 
+    global $prefix, $dbi,$fascia,$limite;
+	$res = mysql_query("SELECT sum(maschi),sum(femmine) FROM ".$prefix."_ele_sezioni where id_cons='$id_cons'", $dbi);
+	list($totm,$totf) = mysql_fetch_row($res);
+	$totel=$totm+$totf;
+	$res = mysql_query("SELECT data,orario FROM `soraldo_ele_rilaff` where id_cons_gen=$id_cons_gen order by data desc, orario desc limit 0,1", $dbi);
+	list($giorno,$ora)=mysql_fetch_row($res);
+	$res = mysql_query("SELECT sum(voti_donne),sum(voti_uomini),sum(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and data='$giorno' and orario='$ora'", $dbi);
+	list($votm,$votf,$votc) = mysql_fetch_row($res);
+	$res = mysql_query("SELECT sum(solo_gruppo),sum(validi),sum(nulli),sum(bianchi),sum(contestati), sum(voti_nulli),sum(validi_lista),sum(voti_nulli_lista),sum(contestati_lista),sum(solo_lista) FROM ".$prefix."_ele_sezioni where id_cons=$id_cons", $dbi);
+	list($sg,$validi,$nulli,$bianchi,$contestati,$votinulli,$validilista,$nullilista,$contestatilista,$sl)=mysql_fetch_row($res);
+	echo "<center>";
+	echo "<fieldset><legend>"._VOTANTI."</legend>";
+	echo "<table border=\"1\" width=\"100%\"><tr><th>"._ISCRITTI."</TH><TH>"._UOMINI."</TH><TH>"._DONNE."</TH><TH>"._VOTIU."</TH><TH>"._VOTID."</TH><TH>"._VOTIE."</TH></TR>";
+	ECHO "<TR><TH>".number_format($totel,0,',','.')."</TH><TH>".number_format($totm,0,',','.')."</TH><TH>".number_format($totf,0,',','.')."</TH><TH>".number_format($votm,0,',','.')."</TH><TH>".number_format($votf,0,',','.')."</TH><TH>".number_format($votc,0,',','.')."</TH></TR></table><br/>";
+	ECHO "</fieldset><br/><br/><br/>";
+	$totnulli=$nulli+$bianchi+$contestati+$votinulli;
+	echo "<fieldset><legend>"._GRUPPO."</legend>";
+	echo "<table border=\"1\" width=\"100%\"><tr><th><b>"._VALIDI."</b></th><th>"._NULLI."</th><th>"._BIANCHI."</th><th>"._CONTESTATI."</th><th>"._VOTINULLI."</th><th>"._TOTNON."</th></TR>";
+	ECHO "<TR><TH>".number_format($validi,0,',','.')."</TH><TH>".number_format($nulli,0,',','.')."</TH><TH>".number_format($bianchi,0,',','.')."</TH><TH>".number_format($contestati,0,',','.')."</TH><TH>".number_format($votinulli,0,',','.')."</TH><TH>".number_format($totnulli,0,',','.')."</TH></TR></table><br/>";
+	ECHO "</fieldset><br/><br/><br/>";
+	$totnullil=$nullilista+$contestatilista;
+	echo "<fieldset><legend>"._VOTI_LISTA."</legend>";
+	echo "<table border=\"1\" width=\"100%\"><tr><th>"._VALIDI."</th><th>"._VOTINULLI."</th><th>"._CONTESTATI."</th><th>"._SOLO_GRUPPO."</th><th>"._TOTNON."</th></TR>";
+	ECHO "<TR><TH>".number_format($validilista,0,',','.')."</TH><TH>".number_format($nullilista,0,',','.')."</TH><TH>".number_format($contestatilista,0,',','.')."</TH><TH>".number_format($sg,0,',','.')."</TH><TH>".number_format($totnullil,0,',','.')."</TH></TR></table><br/>";
+	ECHO "</fieldset>";
+	echo "</center>";
+	
+	
+	
+echo "</table>\n</td></tr></table>\n";
+
+   include ("footer.php");
+
+?>
Index: trunk/admin/modules/Elezioni/ele_voti.php
===================================================================
--- trunk/admin/modules/Elezioni/ele_voti.php	(revision 138)
+++ trunk/admin/modules/Elezioni/ele_voti.php	(revision 139)
@@ -130,9 +130,9 @@
 			if($validi) {
 					$status=0;
-					$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
+					$query="SELECT validi,nulli,bianchi,contestati,voti_nulli,solo_gruppo,validi_lista,contestati_lista,voti_nulli_lista,solo_lista FROM ".$prefix."_ele_sezioni as t1 where t1.id_sez='$id_sez'";
 					$res4 = mysql_query("$query", $dbi);
-					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$validilista,$contestatilista,$votinullilista)=mysql_fetch_row($res4);
+					list($validi, $nulli, $bianchi,$contestati,$votinulli,$sologruppo,$validilista,$contestatilista,$votinullilista,$sololista)=mysql_fetch_row($res4);
 					if($validi>0) {
-						if (($validi+$nulli+$bianchi+$contestati+$votinulli)==$voti)
+						if (($validi+$nulli+$bianchi+$contestati+$votinulli+$sololista)==$voti)
 							{$status=1;$ops=-4;}
 						else return 4;
@@ -166,5 +166,5 @@
 					list($votils)=mysql_fetch_row($res4);
 					if($votils>0) {
-						if (($votils+$sologruppo+$contestatilista+$votinullilista)==($validi+$votinulli+$contestati))
+						if (($votils+$sologruppo+$contestatilista+$votinullilista)==($validi+$sololista))
 							{$status=1;$ops=-3;}
 						else {return 3;}
@@ -519,6 +519,20 @@
 			}
 			while(list($id_rif,$descrizione,$num_lis) = mysql_fetch_row($res_lis)) {
-				$sel = ($id_rif == $id_lista) ? "selected" : "";
-				echo "<option value=\"$id_rif\" $sel>";
+			$segna='';
+			$result = mysql_query("SELECT sum(t1.voti) from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_rif",$dbi);
+			list($votisezcand)=mysql_fetch_row($result);
+			$result = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_rif'", $dbi);
+			list($votisezlis)=mysql_fetch_row($result);
+			if($votisezcand>$votisezlis)
+				$segna="style=\"background-color: #dd0000;\"";
+
+
+
+
+
+
+
+			$sel = ($id_rif == $id_lista) ? "selected" : "";
+				echo "<option $segna value=\"$id_rif\" $sel>";
 				for ($j=strlen($num_lis);$j<2;$j++) { echo "&nbsp;&nbsp;";}
 				echo $num_lis.") ".substr($descrizione,0,30);
@@ -534,16 +548,25 @@
 		$result = mysql_query("SELECT sum(t1.voti),t2.validi, t2.solo_gruppo,t2.contestati,t2.voti_nulli from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
 else
-		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati,t2.voti_nulli from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
-		list( $voti_sez, $validi2, $sg,$cont2,$vnulli2) = mysql_fetch_row($result);
+		$result = mysql_query("SELECT sum(t1.voti),t2.validi_lista, t2.solo_gruppo,t2.contestati_lista,t2.voti_nulli_lista,t2.bianchi,t2.nulli,t2.contestati,t2.voti_nulli from ".$prefix."_ele_sezioni as t2 left join ".$prefix.$tab." as t1 on (t1.id_sez=t2.id_sez) where t2.id_sez=$id_sez group by t1.id_sez",$dbi);
+		list( $voti_sez, $validi2, $sg,$cont2,$vnulli2,$bia2,$nul2,$con2,$vnul2) = mysql_fetch_row($result);
+		$valista=$validi2;
 		if(!$id_lista or $genere==3){	//controllo di congruenza
 			$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
 			list($tot) = mysql_fetch_row($res2);
-			if ($validi+$nulli+$bianchi+$contestati+$votinulli+$sg!=$tot and $validi+$sg>0){
-				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli+$sg)."</b><br></td></table>";
+			if ($validi2+$vnulli2+$cont2+$sg+$bia2+$nul2+$con2+$vnul2!=$tot and $validi+$sg>0){
+				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi2+$vnulli2+$cont2+$sg+$bia2+$nul2+$con2+$vnul2)."</b><br></td></table>";
 			}
 
 			if((($voti_sez)!=$validi2) and ($voti_sez>0)){
-				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".($voti_sez)." "._NO_VAL_VOTI." ".$validi2."</b><br></td></tr></table>";
-			}
+				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".($voti_sez)." "._NO_VAL_VOTI." ".$validi2."</b><br></td></tr></table>";
+			}
+		}elseif($genere==5){
+			$result = mysql_query("SELECT sum(t1.voti) from ".$prefix."_ele_voti_candidati as t1 left join ".$prefix."_ele_candidati as t2 on (t1.id_cand=t2.id_cand) where t1.id_sez=$id_sez and t2.id_lista=$id_lista",$dbi);
+			list($votisezcand)=mysql_fetch_row($result);
+			$result = mysql_query("SELECT sum(voti) from ".$prefix."_ele_voti_lista where id_sez='$id_sez' and id_lista='$id_lista'", $dbi);
+			list($votisezlis)=mysql_fetch_row($result);
+			if($votisezcand>$votisezlis)
+				echo "<table class=\"table-menu\" style=\"width: 50%;\"><tr><td style=\"background-color: rgb(255, 0, 0); color: black; text-align: center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br/><b> ATTENZIONE!<BR/>I voti di preferenza $votisezcand <br/>superano i voti di lista $votisezlis</b><br></td></tr></table>";
+			
 		}
 
@@ -636,5 +659,6 @@
 		if(!$votog) {
 		   if (($genere==3 OR $genere==5) and (!$id_lista) and ($fascia>$limite)) { //gruppo e liste
-			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\"><input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\"><input name=\"sg\" value=\"$sg\" size=\"5\" style=\"text-align:right\"></td></tr>";
+			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._VALIDI_LISTA."</b></td><td align=\"center\"><input type=\"hidden\" name=\"id_sez\" value=\"$id_sez\"><input name=\"valista\" value=\"$valista\" size=\"5\" style=\"text-align:right\"></td></tr>";
+			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._SOLO_GRUPPO."</b></td><td align=\"center\"><input name=\"sg\" value=\"$sg\" size=\"5\" style=\"text-align:right\"></td></tr>";
 			echo "<tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._NULLI_LISTE."</b></td><td align=\"center\"><input  name=\"votinulli\" value=\"$votinulli\" size=\"5\" style=\"text-align:right\">"
 	."</td></tr><tr bgcolor=\"$bgcolor2\"><td></td><td><b>"._CONTESTATI_LISTE."</b></td><td align=\"center\"><input  name=\"contestati\" value=\"$contestati\" size=\"5\" style=\"text-align:right\"></td></tr>";
@@ -720,6 +744,8 @@
 //		foreach ($arg as $vval) echo $vval." - ";
 	// solo gruppo e preferenze alle liste
+
 	if(!$votog) {
 	   if ((($genere==3) OR ($genere==5)) and !$id_lista and ($fascia>$limite)) {
+			$valista=$arg[$i++]; 
 			$result = mysql_query("update ".$prefix."_ele_sezioni set solo_gruppo='".$arg[$i]."' where id_sez='$id_sez'",$dbi);
 			if ($fileout) fwrite($fp,"update ".$prefix."_ele_sezioni set solo_gruppo='".$arg[$i]."' where id_sez='$id_sez';\n");
@@ -735,5 +761,8 @@
 #					list($val)=mysql_fetch_row($result);
 #					mysql_query("update  ".$prefix."_ele_sezioni set validi_lista='$val' where id_sez='$id_sez'", $dbi);
-					mysql_query("update  ".$prefix."_ele_sezioni set validi_lista=(`validi`+`contestati`+`voti_nulli`-`solo_gruppo`-`voti_nulli_lista`-`contestati_lista`) where id_sez='$id_sez'", $dbi);
+					if($valista) 
+						mysql_query("update  ".$prefix."_ele_sezioni set validi_lista='$valista' where id_sez='$id_sez'", $dbi);
+					else
+						mysql_query("update  ".$prefix."_ele_sezioni set validi_lista=(`validi`-`solo_gruppo`-`voti_nulli_lista`-`contestati_lista`) where id_sez='$id_sez'", $dbi);
 					if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi_lista=(`validi`+`contestati`+`voti_nulli`-`solo_gruppo`-`voti_nulli_lista`-`contestati_lista`) where id_sez='$id_sez';\n");
 				}
@@ -741,4 +770,5 @@
 	   }	
 	}
+
 	
 //	$ops = $arg[$argc];
@@ -952,8 +982,10 @@
     $result = mysql_query("select id_cons,id_sez,validi_lista,nulli,bianchi,contestati_lista,voti_nulli_lista,solo_gruppo,contestati,voti_nulli from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
 else */
-    $result = mysql_query("select id_cons,id_sez,validi,nulli,bianchi,contestati,voti_nulli,'0','0','0' from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
-    list($id_cons2,$id_sez2,$validi, $nulli, $bianchi, $contestati,$votinulli,$sg,$conts,$nullis) = mysql_fetch_row($result);
+    $result = mysql_query("select id_cons,id_sez,validi,nulli,bianchi,contestati,voti_nulli,'0','0','0',solo_lista from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+    list($id_cons2,$id_sez2,$validi, $nulli, $bianchi, $contestati,$votinulli,$sg,$conts,$nullis,$sololista) = mysql_fetch_row($result);
     $tot_nulli=$nulli+$bianchi+$contestati+$votinulli;
-    $tot_voti=$validi+$tot_nulli+$sg+$conts+$nullis;
+    $tot_voti=$validi+$tot_nulli+$sg+$conts+$nullis+$sololista;
+//	."</td><td><input  name=\"sololista\" value=\"$sololista\" size=\"5\" style=\"text-align:right\">" ---     ."<td><b>"._SOLOLIS."</b></td>"
+
 
 	echo "<tr bgcolor=\"$bgcolor2\" align=\"center\"><td align=\"left\"><input  name=\"validi\" value=\"$validi\" size=\"5\" style=\"text-align:right\">";
@@ -1012,4 +1044,5 @@
 $votinulli = intval($arg[8]);
 $contestati = intval($arg[9]);
+//$sololista = intval($arg[10]);
 $ops = $arg[10];
 $username="$aid";
@@ -1021,6 +1054,8 @@
 list($voti_t) = mysql_fetch_row($result);
    $tot_voti=$validi+$nulli+$bianchi+$contestati+$votinulli;
+$sololista=$voti_t-$tot_voti;
 	$result= mysql_query("select * from ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
 	$ar=mysql_fetch_array($result);
+	if ($ar['solo_lista']) $rigasl=''; else $rigasl=", solo_lista='$sololista'";
 #die("qui: if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and $votog){");
 	if($ops==3 and ($genere==3 or $genere==4 or $genere==5) and ($votog or $genere==4)){
@@ -1029,16 +1064,16 @@
 /*		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
 		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli_lista='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez';\n"); */
-		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
-		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' where id_cons='$id_cons' and id_sez='$id_sez';\n");
+		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', contestati='$contestati', validi_lista='$validi', nulli='$nulli',bianchi='$bianchi',contestati_lista='$contestati', voti_nulli='$votinulli' $rigasl where id_cons='$id_cons' and id_sez='$id_sez';\n");
 	}else{
  	mysql_query("insert into ".$prefix."_ele_log values('$id_cons','$id_sez','$username','$log_data','$orario','validi:$ar[6] nulli:$ar[7] bianchi:$ar[8] contestati:$ar[9] voti_nulli:$ar[13]','validi=$validi, nulli=$nulli,bianchi=$bianchi,contestati=$contestati, voti_nulli=$votinulli','_ele_sezioni')", $dbi);	
 	$valista="";
-	if ($ar['validi_lista']){
-	  $tvalista=$validi+$contestati+$votinulli-$ar['solo_gruppo']-$ar['voti_nulli_lista']-$ar['contestati_lista'];
+	if ($ar['validi_lista']){ 
+	  $tvalista=$validi-$ar['solo_gruppo']-$ar['voti_nulli_lista']-$ar['contestati_lista']+$ar['solo_lista'];
 	  $valista=",validi_lista='$tvalista'";
 	}
 
-		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $valista where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
-		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $valista where id_cons='$id_cons' and id_sez='$id_sez';\n");
+		$result = mysql_query("update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $rigasl $valista where id_cons='$id_cons' and id_sez='$id_sez' ", $dbi);
+		if ($fileout) fwrite($fp,"update  ".$prefix."_ele_sezioni set validi='$validi', nulli='$nulli',bianchi='$bianchi',contestati='$contestati',voti_nulli='$votinulli' $rigasl $valista where id_cons='$id_cons' and id_sez='$id_sez';\n");
 	}
 //	}
@@ -1105,6 +1140,6 @@
     	$res = mysql_query("SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
        	list($voti_parz) = mysql_fetch_row($res);
-        $res = mysql_query("SELECT validi,nulli,bianchi,contestati,solo_gruppo,voti_nulli FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
-    	list($validi,$nulli,$bianchi,$contestati,$solo_gruppo,$votinulli) = mysql_fetch_row($res);
+        $res = mysql_query("SELECT validi,nulli,bianchi,contestati,solo_lista,voti_nulli FROM ".$prefix."_ele_sezioni where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
+    	list($validi,$nulli,$bianchi,$contestati,$solo_lista,$votinulli) = mysql_fetch_row($res);
 		if ($voti_parz!=$validi and $voti_parz>0){
 			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTI." ".$voti_parz." "._NO_VAL_VOTI." ".$validi."</b><br></td>";
@@ -1112,5 +1147,5 @@
 		$res2 = mysql_query("SELECT max(voti_complessivi) FROM ".$prefix."_ele_voti_parziale where id_cons='$id_cons' and id_sez='$id_sez'", $dbi);
 		list($tot) = mysql_fetch_row($res2);
-		if ($validi+$nulli+$bianchi+$contestati+$votinulli!=$tot and $validi+$nulli+$bianchi+$contestati+$votinulli>0){
+		if ($validi+$nulli+$bianchi+$contestati+$votinulli+$solo_lista!=$tot and $validi+$nulli+$bianchi+$contestati+$votinulli>0){
 			echo "<td style=\"background-color: rgb(255, 0, 0); text-align:center\"><img src=\"modules/Elezioni/images/alert.gif\" align=\"middle\" alt=\"\"><br><b> "._ATT_VOTANTI." ".$tot." "._NO_TOT_VOTI." ".($validi+$nulli+$bianchi+$contestati+$votinulli)."</b><br></td>";
     	}
@@ -1195,5 +1230,9 @@
    }
 	if ($genere!=0) {
+		$res = mysql_query("SELECT solo_lista FROM ".$prefix."_ele_sezioni where id_sez='$id_sez' ", $dbi);
+		list($sololis)=mysql_fetch_row($res);
 		echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._TOTPREF."</td><td>$tot_pref</td></tr>";
+		if(isdisgiunto())
+			echo "<tr style=\"background-color: $bgcolor1; text-align:center\"><td></td><td>"._SOLOLIS."</td><td><input  name=\"sololista\" value=\"".$sololis."\" size=\"7\"  style=\"text-align:right\"></td></tr>";
 	}
 
@@ -1234,4 +1273,6 @@
 	$tab="_ele_voti_gruppo";
 	$y--;
+	$res=mysql_query("update  ".$prefix."_ele_sezioni set solo_lista='".$arg[$y--]."' where id_sez='$id_sez'", $dbi);
+
 }
 
Index: trunk/admin/modules/Elezioni/funzionidata.php
===================================================================
--- trunk/admin/modules/Elezioni/funzionidata.php	(revision 138)
+++ trunk/admin/modules/Elezioni/funzionidata.php	(revision 139)
@@ -91,5 +91,17 @@
         }
 
-	
+function isdisgiunto()
+{
+global $prefix,$dbi,$id_cons,$limite,$fascia,$ops;
+	#voti di lista e di gruppo completamente disgiunti 
+	$result = mysql_query("select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ", $dbi);
+	$glsep='';
+	if ($result) {
+		list($infdis,$supdis)=mysql_fetch_row($result);
+		if((($fascia>$limite and $supdis) or ($fascia<$limite and $infdis))) 
+			$glsep='_lista';
+	}
+return $glsep;
+}
 
 ?>
Index: trunk/admin/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-en.php	(revision 138)
+++ trunk/admin/modules/Elezioni/language/lang-en.php	(revision 139)
@@ -127,4 +127,7 @@
 define("_CIRCS","Constituencies");
 }
+define("_DISGIUNTO","One ballot for two separate votes?");
+define("_RIEPILOGO","Totals");
+define("_SOLOLIS","Votes to lists only");
 define("_PROGRAM","Program");
 define("_ELIMINA","DELETE");
Index: trunk/admin/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/admin/modules/Elezioni/language/lang-it.php	(revision 138)
+++ trunk/admin/modules/Elezioni/language/lang-it.php	(revision 139)
@@ -148,4 +148,8 @@
 define("_CIRCS","Circoscrizioni");
 }
+define("_DISGIUNTO","Unica scheda con voti indipendenti?");
+define("_RIEPILOGO","Scheda di riepilogo");
+define("_SOLOLIS","Voti alle sole liste");
+define("_VALIDI_LISTA","Voti di lista validi");
 define("_SCELTA_LISTA","Devi scegliere una lista.");
 define("_SCELTA_COGNO","Devi inserire il cognome del candidato.");
Index: trunk/aggiornamento-2.0_2012-04-22.sql
===================================================================
--- trunk/aggiornamento-2.0_2012-04-22.sql	(revision 139)
+++ trunk/aggiornamento-2.0_2012-04-22.sql	(revision 139)
@@ -0,0 +1,77 @@
+DROP TABLE IF EXISTS `soraldo_ele_fasce`;
+CREATE TABLE IF NOT EXISTS `soraldo_ele_fasce` (
+`id_fascia` int(2) NOT NULL,
+`abitanti` int(11) NOT NULL,
+`data_inizio` date NOT NULL,
+`data_fine` date NOT NULL,
+`seggi` int(4) NOT NULL,
+KEY `id_fascia` (`id_fascia`)
+) ENGINE=MyISAM DEFAULT CHARSET=latin1;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_fasce`
+--
+
+INSERT INTO `soraldo_ele_fasce` (`id_fascia`, `abitanti`, `data_inizio`, `data_fine`, `seggi`) VALUES
+(1, 3000, '2000-01-01', '2010-12-31', 12),
+(2, 10000, '2000-01-01', '2010-12-31', 16),
+(3, 15000, '2000-01-01', '2010-12-31', 20),
+(4, 30000, '2000-01-01', '2010-12-31', 20),
+(5, 100000, '2000-01-01', '2010-12-31', 30),
+(6, 250000, '2000-01-01', '2010-12-31', 40),
+(7, 500000, '2000-01-01', '2010-12-31', 46),
+(8, 1000000, '2000-01-01', '2010-12-31', 50),
+(9, 100000000, '2000-01-01', '2010-12-31', 60),
+(4, 30000, '2011-01-01', '2011-09-14', 16),
+(1, 3000, '2011-01-01', '2011-09-14', 9),
+(2, 10000, '2011-01-01', '2011-09-14', 12),
+(3, 15000, '2011-01-01', '2011-09-14', 16),
+(5, 100000, '2011-01-01', '2011-09-14', 24),
+(6, 250000, '2011-01-01', '2011-09-14', 32),
+(7, 500000, '2011-01-01', '2011-09-14', 36),
+(8, 1000000, '2011-01-01', '2011-09-14', 40),
+(9, 100000000, '2011-01-01', '2011-09-14', 48),
+(1, 1000, '2011-09-15', '0000-00-00', 6),
+(2, 3000, '2011-09-15', '0000-00-00', 6),
+(3, 5000, '2011-09-15', '0000-00-00', 7),
+(4, 10000, '2011-09-15', '0000-00-00', 10),
+(5, 15000, '2011-09-15', '0000-00-00', 16),
+(6, 30000, '2011-09-15', '0000-00-00', 16),
+(7, 100000, '2011-09-15', '0000-00-00', 24),
+(8, 250000, '2011-09-15', '0000-00-00', 32),
+(9, 500000, '2011-09-15', '0000-00-00', 36),
+(10, 1000000, '2011-09-15', '0000-00-00', 40),
+(11, 100000000, '2011-09-15', '0000-00-00', 48);
+
+
+DROP TABLE `soraldo_ele_conf`;
+
+CREATE TABLE IF NOT EXISTS `soraldo_ele_conf` (
+  `id_conf` int(11) NOT NULL auto_increment,
+  `descrizione` varchar(50) NOT NULL,
+  `limite` int(2) NOT NULL,
+  `consin` enum('0','1') NOT NULL default '1',
+  `infpremio` int(3) NOT NULL,
+  `supsbarramento` int(3) NOT NULL,
+  `suppremio` int(3) NOT NULL,
+  `listinfsbar` int(3) NOT NULL default '1',
+  `listinfconta` enum('0','1') NOT NULL default '1',
+  `listsupconta` enum('0','1') NOT NULL default '1',
+  `supminpremio` int(3) NOT NULL,
+  `infminpremio` int(3) NOT NULL,
+  `infdisgiunto` enum('0','1') NOT NULL default '0',
+  `supdisgiunto` enum('0','1') NOT NULL default '0',
+  PRIMARY KEY  (`id_conf`)
+) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=5 ;
+
+--
+-- Dump dei dati per la tabella `soraldo_ele_conf`
+--
+
+INSERT INTO `soraldo_ele_conf` (`id_conf`, `descrizione`, `limite`, `consin`, `infpremio`, `supsbarramento`, `suppremio`, `listinfsbar`, `listinfconta`, `listsupconta`, `supminpremio`, `infminpremio`, `infdisgiunto`, `supdisgiunto`) VALUES
+(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0'),
+(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1');
+
+ALTER TABLE `soraldo_ele_sezioni` ADD `solo_lista` INT( 7 ) NOT NULL DEFAULT '0';
Index: trunk/client/modules/Elezioni/funzioni.php
===================================================================
--- trunk/client/modules/Elezioni/funzioni.php	(revision 138)
+++ trunk/client/modules/Elezioni/funzioni.php	(revision 139)
@@ -493,3 +493,18 @@
 }
 
+# funzione per verifica se esiste il voto disgunto tra sindaco e lista nelle amministrative siciliane
+function isdisgiunto(){
+global $prefix,$dbi,$id_cons,$limite,$fascia,$ops;
+	#voti di lista e di gruppo completamente disgiunti 
+	$result = mysql_query("select infdisgiunto, supdisgiunto from ".$prefix."_ele_conf as t2 left join ".$prefix."_ele_cons_comune as t1 on t1.id_conf=t2.id_conf where id_cons = '$id_cons' ", $dbi);
+	$glsep='';
+	if ($result) {
+		list($infdis,$supdis)=mysql_fetch_row($result);
+		if((($fascia>$limite and $supdis) or ($fascia<$limite and $infdis)) and $ops==3) 
+			$glsep='_lista';
+	}
+return $glsep;
+}
+
+
 ?>
Index: trunk/client/modules/Elezioni/language/lang-en.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-en.php	(revision 138)
+++ trunk/client/modules/Elezioni/language/lang-en.php	(revision 139)
@@ -23,4 +23,5 @@
 		define("_SOLO_GRUPPO","Ballots to the group only");
 		define("_CONSIGLIO","Provincial Council");
+		define("_ASOLO_GRUPPO","to the President only");
 		break;
 	case 2:
@@ -43,4 +44,5 @@
 		define("_SOLO_GRUPPO","Ballots for candidate Mayor only");
 		define("_CONSIGLIO","City Council");
+		define("_ASOLO_GRUPPO","to the Mayor only");
 		break;
 	case 4:
@@ -255,5 +257,6 @@
 define("_CHIUSA","CLOSED");
 define("_ASOLA_LISTA","to the List");
-define("_ASOLO_GRUPPO","to the Groups only");
+
+define("_SOLO_LISTA","Only List");
 define("_COLLEGIO","district");
 define("_INFO","Information");
Index: trunk/client/modules/Elezioni/language/lang-it.php
===================================================================
--- trunk/client/modules/Elezioni/language/lang-it.php	(revision 138)
+++ trunk/client/modules/Elezioni/language/lang-it.php	(revision 139)
@@ -22,5 +22,6 @@
 define("_A","a");
 define("_ASOLA_LISTA","Alle Liste");
-define("_ASOLO_GRUPPO","Ai Soli Gruppi");
+
+define("_SOLO_LISTA","Solo Lista");
 define("_UOMINI","Uomini");
 define("_DONNE","Donne");
@@ -275,4 +276,5 @@
 		define("_VOTI_LISTA","Voti di lista");
 		define("_CONSIGLIO","Consiglio Provinciale");
+		define("_ASOLO_GRUPPO","Solo Presidente");
 		break;
 	case 2:
@@ -297,4 +299,5 @@
 		define("_CONSIGLIO","Consiglio Comunale");
 		define("_VOTI_LISTA","Voti di lista");
+		define("_ASOLO_GRUPPO","Solo Sindaco");
 		break;
         case 4:
Index: trunk/client/modules/Elezioni/menu.php
===================================================================
--- trunk/client/modules/Elezioni/menu.php	(revision 138)
+++ trunk/client/modules/Elezioni/menu.php	(revision 139)
@@ -26,6 +26,7 @@
        
         // inizio tabella
-	echo "<table  class=\"table-main\"> <tr>";
-	
+	echo "<table  class=\"table-main\"><tr>";
+
+
 	/*********************************** 
 		Scelta Comune
@@ -35,4 +36,5 @@
 	{
 	      $sqlcomu="select t1.id_comune,t1.descrizione,count(0) from ".$prefix."_ele_comuni as t1, ".$prefix."_ele_cons_comune as t2 where t1.id_comune=t2.id_comune and t2.chiusa<2 group by t1.id_comune,t1.descrizione order by t1.descrizione asc";
+		
 	      $rescomu= mysql_query("$sqlcomu",$dbi);
 	      $esiste_multi=mysql_num_rows($rescomu);
Index: trunk/client/modules/Elezioni/votanti.php
===================================================================
--- trunk/client/modules/Elezioni/votanti.php	(revision 138)
+++ trunk/client/modules/Elezioni/votanti.php	(revision 139)
@@ -220,20 +220,38 @@
 	$tab3="_ele_voti_lista";
 	if ($genere>0) {  //se non e' un referendum
+
+
+
 		if (!($genere==4) and $pag==0){  //se non e' una lista uninominale ed e' la prima pagina
-			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0' FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez ";
+                        
+			$tab="SELECT 0,t2.id_sez,t2.num_sez,t2.validi,'0','0',t2.validi,t2.nulli,t2.bianchi,t2.contestati, t4.id_circ,t2.id_sede,'0' FROM ".$prefix."_ele_sezioni as t2 left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede) where t2.id_cons='$id_cons' and t2.validi+t2.nulli+t2.bianchi+t2.contestati>0 group by t2.id_sez order by t2.num_sez ";
 		
 		}else{ // e' una lista uninominale o la seconda pagina
-			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0'
+
+
+
+			# voto disgiunto regione sicilia aggiunge il campo solo lista
+		    if(isdisgiunto()){
+			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,t1.solo_lista,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0'
 			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
 			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
 			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t2.id_sez order by t1.num_sez ";
+		     }else{
+			
+			$tab="SELECT '0',t1.id_sez,t1.num_sez,sum(t2.voti),t1.solo_gruppo,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t1.id_sede,'0'
+			FROM ".$prefix."_ele_sezioni as t1 left join ".$prefix.$tab3." as t2 on (t1.id_sez=t2.id_sez)
+			left join ".$prefix."_ele_sede as t4 on (t1.id_sede=t4.id_sede)
+			where t1.id_cons='$id_cons' and t1.id_cons=t2.id_cons group by t2.id_sez order by t1.num_sez ";
+			}
 		}
-		
+	
+
+	
 		$riga1 = "";
 		if($pag==0)$riga1 .="<h2>"._DETTAGLIO." "._VOTIE."</h2>";
-		else $riga1 .="<h2>"._DETTAGLIO." "._VOTIE." "._ASOLA_LISTA."</h2>";
-		
-	}else{ // e' un referendum
-		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo
+		else $riga1 .="<h4>"._DETTAGLIO." "._VOTIE." "._ASOLA_LISTA."</h4>";
+		
+	}else{ // e' un referendum --> t3.id_gruppo vuota per allineare il while (da rifare con array)
+		$tab="SELECT t1.id_gruppo,t1.id_sez,t2.num_sez,t1.si,t1.no,'0',t1.validi,t1.nulli,t1.bianchi,t1.contestati, t4.id_circ,t2.id_sede,t3.num_gruppo
 		FROM ".$prefix."_ele_voti_ref as t1 left join ".$prefix."_ele_sezioni as t2 on (t1.id_sez=t2.id_sez)
 		left join  ".$prefix."_ele_gruppo as t3 on (t1.id_gruppo=t3.id_gruppo) left join ".$prefix."_ele_sede as t4 on (t2.id_sede=t4.id_sede)
@@ -259,6 +277,14 @@
 		$riga3 .= "<td>"._SI."</td><td>"._NO."</td>";
 	} elseif ((($genere==5) or ($genere==3)) and $pag==1){
-		$riga3 .= "<td>"._ASOLA_LISTA."</td><td>"._ASOLO_GRUPPO."</td>";
-	}
+		$riga3 .= "<td>Voti "._LISTE."</td>";
+		if(isdisgiunto()){
+			$riga3 .= "<td>Voti "._PRESI."</td>";
+			$riga3 .= "<td>"._SOLO_LISTA."</td>";
+			
+			
+		} // voto disgiunto
+		$riga3 .= "<td>"._ASOLO_GRUPPO."</td>";
+	}
+        
 	$riga3 .= "<td>"._VALIDI."</td><td>"._NULLI."</td><td>"._BIANCHI."</td><td>"._CONTESTATI."</td>"
     ."</tr>\n";
@@ -268,5 +294,7 @@
 	$scrutinate=1;
 	$tot_u=0;$tot_d=0;$tot_voti=0; $tot_si=0;$tot_no=0;$tot_validi=0;$tot_nulli=0;$tot_bianchi=0;$tot_contestati=0;
-	while (list($id_gruppo,$id,$num,$si,$no,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo) = mysql_fetch_row($res)){
+	$tot_sololista=0;$tot_gruppo=0;
+	#$si e $no sono valide anche per voti lista e solo gruppo per i non referendum
+	while (list($id_gruppo,$id,$num,$si,$no,$sololista,$validi,$nulli,$bianchi,$contestati,$id_circ,$id_sede,$gruppo) = mysql_fetch_row($res)){
 	// inserimento numeri di sez non scrutinate
 		while ($scrutinate < $num) { 
@@ -274,4 +302,11 @@
 			$scrutinate++;
 		}
+
+	# voti sindaco, gruppo o presidente
+	$tab5="SELECT sum(voti) FROM ".$prefix."_ele_voti_gruppo where id_cons='$id_cons' and id_sez='$id'";
+	$res3 = mysql_query("$tab5", $dbi);
+	list($sindaco) = mysql_fetch_row($res3);	
+	
+
 		$scrutinate++; 
 	// fine inserimento	
@@ -281,4 +316,5 @@
 		list($votid,$votiu,$voti) = mysql_fetch_row($res2);
 //		$voti=$votiu+$votid;
+		$tot_gruppo+=$sindaco;
 		$tot_u+=$votiu;
 		$tot_d+=$votid;
@@ -290,4 +326,5 @@
 		$tot_bianchi+=$bianchi;
 		$tot_contestati+=$contestati;
+		$tot_sololista+=$sololista;
 		$righe .= "<tr class=\"bggray2\">
 		<td>$num</td>
@@ -295,9 +332,19 @@
 		<td>".number_format($votid,0,',','.')."</td>
 		<td>".number_format($voti,0,',','.')."</td>";
-		if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righe 
-		.= "<td>".number_format($si,0,',','.')."</td>
-		<td>".number_format($no,0,',','.')."</td>";}
-		
+		if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+		$righe .= "<td>".number_format($si,0,',','.')."</td>";
+		
+		if(isdisgiunto()){
+			$righe .= "<td>".number_format($sindaco,0,',','.')."</td>";
+			$righe .= "<td>".number_format($sololista,0,',','.')."</td>";
+			}
+		$righe .= "<td>".number_format($no,0,',','.')."</td>";	
+
+
+}
+		
+
 		$righe .= "<td>".number_format($validi,0,',','.')."</td>
+
 		<td>$nulli</td>
 		<td>$bianchi</td>
@@ -320,5 +367,11 @@
 		$righet .= "<td>"._SI."</td><td>"._NO."</td>";
 	} elseif ((($genere==5) or ($genere==3)) and $pag==1){
-		$righet .= "<td>"._ASOLA_LISTA."</td><td>"._ASOLO_GRUPPO."</td>";
+		$righet .= "<td>Voti "._LISTE."</td>";
+		if(isdisgiunto()){
+			$righet .= "<td>Voti "._PRESI."</td>";
+			$righet .= "<td>"._SOLO_LISTA."</td>";
+		} // voto disgiunto	
+		$righet .= "<td>"._ASOLO_GRUPPO."</td>";
+		
 	}
 	if($totel==0) $totelrip="0.00"; else $totelrip=number_format($tot_voti*100/$totel,2);
@@ -330,16 +383,29 @@
 
 
-	<tr class=\"td-vuotoc\"><td><b>"._TOT."</b></td><td><b>".number_format($tot_u,0,',','.')."</b><br /><i>(".$totmrip." %)</i></td><td><b>".number_format($tot_d,0,',','.')."</b><br /><i>(".$totfrip." %)</i></td><td><b>".number_format($tot_voti,0,',','.')."</b><br /><i>(".$totelrip." %)</i></td>";
+	<tr class=\"td-vuotoc\"><td><b>"._TOT."</b></td><td><b>".number_format($tot_u,0,',','.')."</b><br /><i>(".$totmrip."%)</i></td><td><b>".number_format($tot_d,0,',','.')."</b><br /><i>(".$totfrip."%)</i></td><td><b>".number_format($tot_voti,0,',','.')."</b><br /><i>(".$totelrip."%)</i></td>";
 	
 	// se e' un referendum o una consultazione con raggruppamenti
 
 	if($tot_validi){
-	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(".number_format($tot_si*100/$tot_validi,2)." %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(".number_format($tot_no*100/$tot_validi,2)." %)</i></td>";}
-	$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_validi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0.00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0.00')." %)</i></td></tr>";
+	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+		$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(".number_format($tot_si*100/$tot_validi,2)."%)</i></td>";
+
+		if(isdisgiunto()){
+			$righet .="<td><b>".number_format($tot_gruppo,0,',','.')."</b><br /><i>(".number_format($tot_gruppo*100/$tot_validi,2)."%)</i></td>";
+			$righet .="<td><b>".number_format($tot_sololista,0,',','.')."</b><br /><i>(".number_format($tot_sololista*100/$tot_validi,2)."%)</i></td>";
+		}
+
+
+	$righet .="<td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(".number_format($tot_no*100/$tot_validi,2)."%)</i></td>";	
+	}
+
+
+		$righet .= "<td><b>".number_format($tot_validi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_validi*100/$tot_voti,2):'0.00')."%)</i></td><td><b>"
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0.00')."%)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0.00')."%)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0.00')."%)</i></td></tr>";
 	}else{
-	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(0.00 %)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(0.00 %)</i></td>";}
-	$righet .= "<td><b>0</b><br /><i>(0.00 %)</i></td><td><b>"
-	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0,00')." %)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0,00')." %)</i></td></tr>";
+	if ($genere==0 or ((($genere==5) or ($genere==3)) and $pag==1)){
+	$righet .= "<td><b>".number_format($tot_si,0,',','.')."</b><br /><i>(0.00%)</i></td><td><b>".number_format($tot_no,0,',','.')."</b><br /><i>(0.00%)</i></td>";}
+	$righet .= "<td><b>0</b><br /><i>(0.00%)</i></td><td><b>"
+	.number_format($tot_nulli,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_nulli*100/$tot_voti,2):'0,00')."%)</i></td><td><b>".number_format($tot_bianchi,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_bianchi*100/$tot_voti,2):'0,00')."%)</i></td><td><b>".number_format($tot_contestati,0,',','.')."</b><br /><i>(".($tot_voti ? number_format($tot_contestati*100/$tot_voti,2):'0,00')."%)</i></td></tr>";
 	}
 	}
@@ -395,4 +461,5 @@
 
 
+
 ############### stampa
 if ($xls!='1' && $pdf!='1'){
@@ -406,7 +473,14 @@
 	echo "$html \n";
 }elseif($pdf=='1'){
+
+
 		$nomefile="$descr_cons votanti.pdf";
-		
-		$stampa ="$datipdf $html";
+
+
+
+
+
+		
+		$stampa ="<div style=\"margin:0 auto;text-align:center;\">$datipdf $html</div>";
 		
 		require_once('inc/hpdf403/html2pdf.class.php');
@@ -414,5 +488,9 @@
 		$html2pdf->WriteHTML($stampa, isset($_GET['vuehtml']));
 		$html2pdf->Output($nomefile);
-}
+
+
+}
+
+
 
 
Index: trunk/client/temi/altro/index.php
===================================================================
--- trunk/client/temi/altro/index.php	(revision 138)
+++ trunk/client/temi/altro/index.php	(revision 139)
@@ -19,6 +19,6 @@
       <tr>
         <td class="logoleft"></td>
-        <td class="logo">Eleonline</td>
-        <td class="logoright"></td>
+        <td class="logo"><a href="modules.php?name=Elezioni">Eleonline</a></td>
+        <td class="logoright"></td>	
         <td class="tag">Consultazioni elettorali</td>
         <td class="tag">';
Index: trunk/client/temi/altro/style.css
===================================================================
--- trunk/client/temi/altro/style.css	(revision 138)
+++ trunk/client/temi/altro/style.css	(revision 139)
@@ -7,5 +7,5 @@
 /*background-image:url(images/body_bg.jpg); background-repeat:repeat-x; */
 	font: normal small Arial, Helvetica, sans-serif;
-	font-size:13px;
+	font-size:18px;
 	/*text-align:justify;*/
 	color: #000000;
Index: trunk/client/temi/blog/index.php
===================================================================
--- trunk/client/temi/blog/index.php	(revision 138)
+++ trunk/client/temi/blog/index.php	(revision 139)
@@ -23,5 +23,5 @@
 		noblocco();
 	echo '</div>
-<h1><a href="#">Eleonline</a> / <a href="http://www.eleonline.it/"><b>Elezioni on line</b></a></h1>
+<h1><a href="modules.php?name=Elezioni">Home Page</a> / <a href="modules.php?name=Elezioni"><b>Elezioni on line</b></a></h1>
 
 </div>
Index: trunk/client/temi/blog/style.css
===================================================================
--- trunk/client/temi/blog/style.css	(revision 138)
+++ trunk/client/temi/blog/style.css	(revision 139)
@@ -14,12 +14,15 @@
 	font-size: 13px;
 	color: #203C36;
+	
 }
 
 
 a {
+	font-size: 13px;
 	color: #7AB9AB;
 }
 
 a:hover {
+	font-size: 13px;
 	text-decoration: none;
 }
@@ -82,4 +85,5 @@
 	padding: 60px 0px;
 	background: url(images/img03.jpg) no-repeat;
+      
 }
 
@@ -89,4 +93,5 @@
 	float: left;
 	width: 770px;
+      
 }
 
@@ -140,5 +145,5 @@
 form {
 	
-	font-size: 5px;
+	font-size: 13px;
 	color: #000066;
 	text-decoration: none;
@@ -370,5 +375,5 @@
 }
 .table-docs {
-	font-size: 9px;
+	font-size: 13px;
 	padding: 1px;
 	color: #000000;
@@ -607,6 +612,7 @@
 	text-align: left; 
 }	
-
-
+.div {
+font-size: 15px;
+}
 div#sx{
     width: 610px;
Index: trunk/client/temi/default/index.php
===================================================================
--- trunk/client/temi/default/index.php	(revision 138)
+++ trunk/client/temi/default/index.php	(revision 139)
@@ -15,5 +15,5 @@
 global $tema,$file,$sitename,$blocco;
 echo "<div id=\"container\" >";
- echo '	<a href="http://www.eleonline.it">
+ echo '	<a href="modules.php?name=Elezioni">
 			<img  class="nobordo" src="temi/'.$tema.'/images/logo.gif" alt="$sitename" width="762" height="89" />
       			</a><br />';
Index: trunk/client/temi/default/style.css
===================================================================
--- trunk/client/temi/default/style.css	(revision 138)
+++ trunk/client/temi/default/style.css	(revision 139)
@@ -12,5 +12,5 @@
 body , html {
 	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 12px;
+	font-size: 13px;
 	font-style: normal;
 	font-weight: normal;
@@ -39,5 +39,5 @@
 td {
 	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 12px;
+	font-size: 13px;
 	margin-top: 0px;
 	margin: 0;
@@ -51,5 +51,5 @@
 form {
 	
-	font-size: 5px;
+	font-size: 12px;
 	color: #000066;
 	text-decoration: none;
@@ -62,5 +62,5 @@
 p {
 	font-family: Verdana, Arial, Helvetica, sans-serif;
-	font-size: 12px;
+	font-size: 13px;
 	padding-right: 8px;
 	padding-bottom: 0px;
@@ -186,5 +186,5 @@
 	text-decoration: none;
 	border: 1px solid #666699;
-	font-size: 12px;
+	font-size: 13px;
 	text-align: left;
 }
@@ -226,5 +226,5 @@
 }
 .modulo-titolo {
-	font-size: 12px;
+	font-size: 13px;
 	font-weight: bold;
 	color: #336633;
@@ -242,5 +242,5 @@
 .table-main {
 	border: 1px solid #DEDEDC;
-	font-size: 12px;
+	font-size: 13px;
 	background-position: center top;
 	padding: 0px;
@@ -303,5 +303,5 @@
 }
 .omniainternet {
-	font-size: 12px;
+	font-size: 13px;
 	color: #993366;
 	text-decoration: none;
@@ -317,5 +317,5 @@
 }
 .message {
-	font-size: 12px;
+	font-size: 13px;
 	color: #EE3366;
 	text-decoration: none;
@@ -360,5 +360,5 @@
 .tavola {
 	background-image: url(images/back.gif);
-	font-size: 12px;
+	font-size: 13px;
 	border: none;
 	color: #330000;
@@ -377,5 +377,5 @@
 .table-80 {
 	margin: 0px auto;
-	font-size: 12px;
+	font-size: 13px;
 	border: none;
 	color: #330000;
@@ -385,5 +385,5 @@
 	text-align: center;
 	margin: 0px auto;
-	font-size: 12px;
+	font-size: 13px;
 	border: none;
 	color: #330000;
@@ -413,5 +413,5 @@
 	background-color: #d2d2d2;
 	padding: 0px;
-        FONT-SIZE: 12px; 
+        FONT-SIZE: 13px; 
         FONT-FAMILY: Verdana, Helvetica;
 	text-align: center; 
@@ -424,5 +424,5 @@
 	background-color: #d2d2d2;
 	padding: 0px;
-        FONT-SIZE: 12px; 
+        FONT-SIZE: 13px; 
         FONT-FAMILY: Verdana, Helvetica;
 	text-align: center; 
@@ -436,5 +436,5 @@
 	
 	
-        FONT-SIZE: 12px; 
+        FONT-SIZE: 13px; 
         FONT-FAMILY: Verdana, Helvetica;
 }	
Index: trunk/client/temi/stylized/index.php
===================================================================
--- trunk/client/temi/stylized/index.php	(revision 138)
+++ trunk/client/temi/stylized/index.php	(revision 139)
@@ -30,6 +30,6 @@
 // logo
 echo ' <div id="logo">
-        <h1><a href="http://www.eleonline.it">eleonline</a></h1>
-	<h2>consultazioni elettorali on line + <a href="http://www.linuxap.it"> by l.apolito e r.gigli</a>
+        <h1><a href="modules.php?name=Elezioni">eleonline</a></h1>
+	<h2> <a href="http://www.eleonline.it">consultazioni elettorali on line + by l.apolito e r.gigli</a>
 </h2>
 </div>
Index: trunk/client/temi/tour/index.php
===================================================================
--- trunk/client/temi/tour/index.php	(revision 138)
+++ trunk/client/temi/tour/index.php	(revision 139)
@@ -65,5 +65,5 @@
     <div>
         <h1>';
-		echo "$descr_com";
+		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
 echo '</a></h1>
 	<b>consultazioni elettorali on line </b> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>
Index: trunk/client/temi/yellowblu/index.php
===================================================================
--- trunk/client/temi/yellowblu/index.php	(revision 138)
+++ trunk/client/temi/yellowblu/index.php	(revision 139)
@@ -27,5 +27,5 @@
     <div id="logo">
         <h1>';
-		echo "$descr_com";
+		echo "<a href=\"modules.php?name=Elezioni\"> $descr_com</a>";
 echo '</a></h1>
 	<b>consultazioni elettorali on line </b><br /> <a href="http://www.eleonline.it"> <i>by l.apolito e r.gigli</i></a>
Index: trunk/install/sql/eleonline.sql
===================================================================
--- trunk/install/sql/eleonline.sql	(revision 138)
+++ trunk/install/sql/eleonline.sql	(revision 139)
@@ -301,4 +301,6 @@
   `supminpremio` int(3) NOT NULL,
   `infminpremio` int(3) NOT NULL,
+  `infdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
+  `supdisgiunto` enum('0','1') NOT NULL DEFAULT '0',
   PRIMARY KEY  (`id_conf`)
 ) ENGINE=MyISAM DEFAULT CHARSET=latin1;
@@ -311,5 +313,9 @@
 /*!40000 ALTER TABLE `soraldo_ele_conf` DISABLE KEYS */;
 LOCK TABLES `soraldo_ele_conf` WRITE;
-INSERT INTO `soraldo_ele_conf` VALUES (1,'Legge Italiana 267/2000',3,'1',67,3,60,3,'1','1',40,40),(2,'Regione Sicilia precedente al 2008',2,'0',67,3,60,3,'1','1',40,40),(3,'Regione Sicilia Legge n. 22 del 16/12/2008',2,'0',67,5,60,3,'1','0',40,40);
+INSERT INTO `soraldo_ele_conf` VALUES 
+(1, 'Legge Italiana 267/2000', 3, '1', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(2, 'Regione Sicilia precedente al 2008', 2, '0', 67, 3, 60, 3, '1', '1', 40, 40, '0', '0'),
+(3, 'Regione Sicilia Legge n. 22 del 16/12/2008', 2, '0', 67, 5, 60, 3, '1', '0', 40, 40, '0', '0'),
+(4, 'Regione Sicilia Legge n.6/2011', 5, '1', 67, 5, 60, 5, '1', '1', 40, 40, '1', '1');
 UNLOCK TABLES;
 /*!40000 ALTER TABLE `soraldo_ele_conf` ENABLE KEYS */;
@@ -409,5 +415,34 @@
 LOCK TABLES `soraldo_ele_fasce` WRITE;
 /*!40000 ALTER TABLE `soraldo_ele_fasce` DISABLE KEYS */;
-INSERT INTO `soraldo_ele_fasce` VALUES (1,3000,'2000-01-01','2010-12-31',12),(2,10000,'2000-01-01','2010-12-31',16),(3,15000,'2000-01-01','2010-12-31',20),(4,30000,'2000-01-01','2010-12-31',20),(5,100000,'2000-01-01','2010-12-31',30),(6,250000,'2000-01-01','2010-12-31',40),(7,500000,'2000-01-01','2010-12-31',46),(8,1000000,'2000-01-01','2010-12-31',50),(9,100000000,'2000-01-01','2010-12-31',60),(4,30000,'2011-01-01','0000-00-00',16),(1,3000,'2011-01-01','0000-00-00',9),(2,10000,'2011-01-01','0000-00-00',12),(3,15000,'2011-01-01','0000-00-00',16),(5,100000,'2011-01-01','0000-00-00',24),(6,250000,'2011-01-01','0000-00-00',32),(7,500000,'2011-01-01','0000-00-00',36),(8,1000000,'2011-01-01','0000-00-00',40),(9,100000000,'2011-01-01','0000-00-00',48);
+INSERT INTO `soraldo_ele_fasce` VALUES 
+(1, 3000, '2000-01-01', '2010-12-31', 12),
+(2, 10000, '2000-01-01', '2010-12-31', 16),
+(3, 15000, '2000-01-01', '2010-12-31', 20),
+(4, 30000, '2000-01-01', '2010-12-31', 20),
+(5, 100000, '2000-01-01', '2010-12-31', 30),
+(6, 250000, '2000-01-01', '2010-12-31', 40),
+(7, 500000, '2000-01-01', '2010-12-31', 46),
+(8, 1000000, '2000-01-01', '2010-12-31', 50),
+(9, 100000000, '2000-01-01', '2010-12-31', 60),
+(4, 30000, '2011-01-01', '2011-09-14', 16),
+(1, 3000, '2011-01-01', '2011-09-14', 9),
+(2, 10000, '2011-01-01', '2011-09-14', 12),
+(3, 15000, '2011-01-01', '2011-09-14', 16),
+(5, 100000, '2011-01-01', '2011-09-14', 24),
+(6, 250000, '2011-01-01', '2011-09-14', 32),
+(7, 500000, '2011-01-01', '2011-09-14', 36),
+(8, 1000000, '2011-01-01', '2011-09-14', 40),
+(9, 100000000, '2011-01-01', '2011-09-14', 48),
+(1, 1000, '2011-09-15', '0000-00-00', 6),
+(2, 3000, '2011-09-15', '0000-00-00', 6),
+(3, 5000, '2011-09-15', '0000-00-00', 7),
+(4, 10000, '2011-09-15', '0000-00-00', 10),
+(5, 15000, '2011-09-15', '0000-00-00', 16),
+(6, 30000, '2011-09-15', '0000-00-00', 16),
+(7, 100000, '2011-09-15', '0000-00-00', 24),
+(8, 250000, '2011-09-15', '0000-00-00', 32),
+(9, 500000, '2011-09-15', '0000-00-00', 36),
+(10, 1000000, '2011-09-15', '0000-00-00', 40),
+(11, 100000000, '2011-09-15', '0000-00-00', 48);
 /*!40000 ALTER TABLE `soraldo_ele_fasce` ENABLE KEYS */;
 UNLOCK TABLES;
@@ -741,4 +776,6 @@
   `contestati_lista` int(7) NOT NULL default '0',
   `voti_nulli_lista` int(7) NOT NULL default '0',
+  `bianchi_lista` int(7) NOT NULL DEFAULT '0',
+  `nulli_lista` int(7) NOT NULL DEFAULT '0',
   UNIQUE KEY `id_sezi` (`id_sez`),
   KEY `id_cons` (`id_cons`),
